function MakeWekaFiles(pathToCryptoDataset)

    path=fullfile(pathToCryptoDataset,'cids');

    mainDir= dir(path);

    mainDir= mainDir(3:end);

    for k=1:length(mainDir)

        file= mainDir(k).name;

        [data,time]= xlsread(fullfile(path,file));

        data=data(:,4);

        data= num2cell(data);

        for j=2:length(time)
            data(j-1,2)=time(j,2);
        end


        bins= floor(length(data)/12);

        initial=1;
        interval=12;
        
        feature=zeros(bins,4);
        
        for i=1:bins

             val=initial+12-1;
             
             for j=initial:val
                 price(j,1)=data{j,1};
             end

             starttime=data{initial,2};
             endtime=data{interval,2};
             timestamp= strcat(starttime,' - ', endtime);

             feature(i,1)=max(price);
             feature(i,2)=min(price);
             feature(i,3)=mean(price);
             timemat{i,1}=timestamp;

             initial=initial+12;
             interval=interval+12;
        end

        feature= num2cell(feature);

        for j=1:length(timemat)

            feature(j,4)=timemat(j,1);
        end

        feature= cell2table(feature,'VariableNames',{'Max';'Min';'Mean';'Time'});
        
        mkdir(pathToCryptoDataset,'wekafiles');
        
        p=fullfile(pathToCryptoDataset,'wekafiles');
        [a,name,ext]=fileparts(file);
        fname=strcat(name,'.csv');
        writetable(feature,fullfile(p,fname));

        clear price;
        clear timemat;
    end
end